API referenceSwaps
Best-of Relay and NEAR Intents
POST
Indicative by default. With executable: true plus your addresses, returns Relay steps to sign or a NEAR deposit address.
application/json- body
from*stringto*stringamount*stringAmount of from
executable?booleanReturn an executable quote (needs your addresses)
Default
falseuser?stringSender address on the origin chain
recipient?stringReceiver address on the destination chain
refundTo?stringRefund address on the origin chain
slippageBps?numberMax slippage in bps
providers?array<>application/json- response
code*numberHTTP status code
message*stringHuman-readable message
data?Response payload
metadata?errors?array<string>Validation errors, when the request was rejected
curl -X POST 'https://api.landedfx.com/api/v1/swap/quotes' \ -H 'Content-Type: application/json' \ -d '{ "from": "USDT:tron", "to": "USDC:base", "amount": "725"}'Example Response
{ "message": "string", "metadata": { "page": 1, "limit": 20, "totalDocs": 42, "prevPage": null, "nextPage": 2, "totalPages": 3 }, "errors": [ "string" ], "code": 201, "data": { "quotes": [ { "provider": "relay", "from": "string", "to": "string", "amountIn": 0, "amountOut": 0, "minAmountOut": 0, "costBps": 0, "originGasUsd": 0, "gasEstimated": true, "allInBps": 0, "timeEstimateSec": 0, "executable": true, "depositAddress": "string", "steps": [ {} ], "trackingId": "string" } ], "errors": [ { "provider": "relay", "error": "string" } ], "best": { "provider": "relay", "from": "string", "to": "string", "amountIn": 0, "amountOut": 0, "minAmountOut": 0, "costBps": 0, "originGasUsd": 0, "gasEstimated": true, "allInBps": 0, "timeEstimateSec": 0, "executable": true, "depositAddress": "string", "steps": [ {} ], "trackingId": "string" } }}